# Enum Class CLNCompressionMethodStandard

java.lang.Object
java.lang.Enum<CLNCompressionMethodStandard>
com.io7m.calino.api.CLNCompressionMethodStandard

All Implemented Interfaces:
  `CLNCompressionMethodType, CLNDescribableType, Serializable, Comparable<CLNCompressionMethodStandard>, Constable`

public enum CLNCompressionMethodStandard extends Enum<CLNCompressionMethodStandard> implements CLNCompressionMethodType
The standard compression methods.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BC1`
  BC1 compression (otherwise known as DXT1 compression).
  `BC2`
  BC2 compression (otherwise known as DXT3 compression).
  `BC3`
  BC3 compression (otherwise known as DXT5 compression).
  `BC4`
  BC4 compression.
  `BC5`
  BC5 compression.
  `BC6`
  BC6 compression.
  `BC7`
  BC7 compression.
  `EAC`
  EAC compression.
  `ETC1`
  ETC1 compression.
  `ETC2`
  ETC2 compression.
  `UNCOMPRESSED`
  No compression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNCompressionMethodStandard`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNCompressionMethodStandard[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNCompressionMethodType

  `blockAlignment, blockSizeX, blockSizeY, compressionSectionIdentifier`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### UNCOMPRESSED

    public static final CLNCompressionMethodStandard UNCOMPRESSED
    No compression.

  - ### BC1

    public static final CLNCompressionMethodStandard BC1
    BC1 compression (otherwise known as DXT1 compression).

  - ### BC2

    public static final CLNCompressionMethodStandard BC2
    BC2 compression (otherwise known as DXT3 compression).

  - ### BC3

    public static final CLNCompressionMethodStandard BC3
    BC3 compression (otherwise known as DXT5 compression).

  - ### BC4

    public static final CLNCompressionMethodStandard BC4
    BC4 compression.

  - ### BC5

    public static final CLNCompressionMethodStandard BC5
    BC5 compression.

  - ### BC6

    public static final CLNCompressionMethodStandard BC6
    BC6 compression.

  - ### BC7

    public static final CLNCompressionMethodStandard BC7
    BC7 compression.

  - ### ETC1

    public static final CLNCompressionMethodStandard ETC1
    ETC1 compression.

  - ### ETC2

    public static final CLNCompressionMethodStandard ETC2
    ETC2 compression.

  - ### EAC

    public static final CLNCompressionMethodStandard EAC
    EAC compression.

- ## Method Details

  - ### values

    public static CLNCompressionMethodStandard[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNCompressionMethodStandard valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null